// copyright 2022 zamfofex
// license: AGPLv3 or later

#define _ 0,
#define A 1,
#define B 2,
#define C 3,
#define D 4,
#define E 5,
#define F 6,

#include "font.c"
#include "level.c"

static struct mirai_rotating_image mirai_head =
{
	12, 11, 0,
	{
		{6, 1, {0xE6}},
		{8, 1, {0xE6}},
		{10, 1, {0xE6}},
		{12, 1, {0xE6}},
		{12, 1, {0xE6}},
		{12, 1, {0xE6}},
		{12, 1, {0xE6}},
		{12, 1, {0xE6}},
		{12, 1, {0xE6}},
		{10, 1, {0xE6}},
		{8, 1, {0xE6}},
		{6, 1, {0xE6}},
	},
};

static struct mirai_rotating_image mirai_torso =
{
	12, 10, 0,
	{
		{6, 1, {0xE6}},
		{8, 1, {0xE6}},
		{10, 1, {0xE6}},
		{10, 1, {0xE6}},
		{10, 1, {0xE6}},
		{10, 1, {0xE6}},
		{10, 1, {0xE6}},
		{10, 1, {0xE6}},
		{10, 1, {0xE6}},
		{10, 1, {0xE6}},
		{10, 1, {0xE6}},
		{10, 1, {0xE6}},
		{10, 1, {0xE6}},
		{8, 1, {0xE6}},
		{6, 1, {0xE6}},
	},
};

static struct mirai_rotating_image mirai_arm =
{
	12, 2, 0,
	{
		{2, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{2, 1, {0xE6}},
	},
};

static struct mirai_rotating_image mirai_leg =
{
	12, 0, 0,
	{
		{2, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{2, 1, {0xE6}},
	},
};

#include "characters/crimson-squad.c"
#include "characters/hebijo.c"
